
#
# Shiny App comparing top-score and Pareto optima in rPref
# **********************************************************
#
# User Interface File
#
# Press "Run App" in RStudio to start the App
#

library(shiny)

shinyUI(fluidPage(

  titlePanel("Compare Scoring Top-k and Pareto Optima in rPref"),

  # controls
  sidebarLayout(
    sidebarPanel(
      fluidRow(
        column(2, actionButton("top_decrease", "<")),
        column(8, sliderInput("top", "top-k value for scoring", min = 0, max = 20, value = 0)),
        column(2, actionButton("top_increase", ">"))
      ),
      h4("Score configuration"),
      column(6,sliderInput("A", "A", min = 0.2, max = 5, value = 1, step = 0.2)),
      column(6,sliderInput("B", "B", min = 0.2, max = 5, value = 1, step = 0.2)),
      HTML("Score value for each tuple: A &middot; x + B &middot; y"),
      hr(),
      h4("Data set configuration"),
      sliderInput("cor", "Correlation value for random data set generator", min = -1, max = 1, value = -0.5, step = 0.1),
      actionButton("recalc", "Randomly generate new data set")
    ),

    # plot output
    mainPanel(
      h4("Skyline/Scoring Plot"),
      plotOutput("skylinePlot", width="100%", height="450px"),
      textOutput("state")
    )
  )
))
